%macro arrow(length, depth);
%*--------------------------------------------;
%* Recursive macro to draw a fractal arrow    ;
%*--------------------------------------------;
   %if %eval((&depth))=0 %then ;
   %else %do;
      SIZE = min(&depth,3);
      %forward(&length);
      %right(135);
      %arrow(.6*&length, &depth-1);
      %right( 90);
      SIZE = min(&depth,3);
      %arrow(.6*&length, &depth-1);
      %right(135);
      %back(&length);
   %end;
%mend  arrow;
 
%macro repoly(sides,size,factor,rot,depth);
%*--------------------------------------------;
%* Recursive polygons                         ;
%*--------------------------------------------;
%local s;                     %* MUST be local;
   %if %eval((&depth))=0 %then ;  %* stop rule;
   %else %do;
      %penup; %forward(&size); %pendown;
      %right(180 - (90*(&sides-2)/&sides));
      %do s=1 %to &sides;
         %forward(2* &size * sin(&pi/&sides));
         %left(&rot);
         %repoly(&sides,(&factor*&size),&factor, &rot,(&depth-1));
         %right(&rot);
         %right(360/(&sides));
         %end;
      %left(180 - (90*(&sides-2)/&sides));
      %penup; %back(&size); %pendown;
   %end;
%mend repoly;
